Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 81675

Summary: automake-1.6.3-3 failed perl deps
Product: [Retired] Red Hat Raw Hide Reporter: sean <seandarcy>
Component: automakeAssignee: Jens Petersen <petersen>
Status: CLOSED WORKSFORME QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 1.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-02-19 08:05:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description sean 2003-01-12 17:16:15 UTC
Description of problem:

[root@amd1900 noarch]# rpm -Fvh automake-1*
error: Failed dependencies:
        perl(Automake::General) is needed by automake-1.6.3-3
        perl(Automake::XFile) is needed by automake-1.6.3-3

I have the new perl from rawhide:
perl-5.8.0-83

I can't find an Automake module in CPAN:

cpan> i /Automake/
CPAN: Storable loaded ok
Going to read /root/.cpan/Metadata
  Database was generated on Sat, 11 Jan 2003 06:48:01 GMT
No objects found of any type for argument /Automake/

There's a similar problem in autoconf:

[root@amd1900 noarch]# rpm -Fvh autoconf-2*
error: Failed dependencies:
        perl(Autom4te::General) is needed by autoconf-2.57-2
        perl(Autom4te::Struct) is needed by autoconf-2.57-2
        perl(Autom4te::XFile) is needed by autoconf-2.57-2


Aren't these modules supposed to be in the packages themselves? If not, what is
the package they need?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:

Comment 1 Jens Petersen 2003-01-27 07:35:52 UTC
I think something is wrong on your system --
the Automake modules are part of the automake package.

Comment 2 Jens Petersen 2003-02-19 08:05:49 UTC
Closing for now.  Please re-open if you can still reproduce the problem.